;(function () {
  window._debounce =  function (fn, delay) {
    return function (params) {
      var _params = params
      var _this = this
      clearTimeout(fn.id)
      setTimeout(function () {
        fn.call(_this, _params)
      }, delay)
    }
  }
})();