/**
 * 正则校验
 * 
 */

;(function () {
  // 手机
  var phoneRgx = /^[1][3,4,5,6,7,8,9][0-9]{9}$/

  // 身份证
  var identityRgx = /^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/

  function test(target, rgx) {
    var result = rgx.test(target)
    return result
  }

  validate = {
    phone: function(target) {
      return test(target, phoneRgx)
    },
    identity:function(target) {
      return test(target, identityRgx)
    },
  }

  return validate;

})()
