/*
 * APICloud JavaScript Library
 * Copyright (c) 2014 apicloud.com
 */
(function (window) {
    var u = {};
    var isAndroid = (/android/gi).test(navigator.appVersion);
    // 生产 47.95.252.248:9998
    var currentUrl = 'http://cloudapp.meitandata.com/v2.0.1/app-api-service'
    var uploadUrl = 'http://cloudapp.meitandata.com/v2.0.1/app-api-service'
    var baseUrl = 'http://cloudapp.meitandata.com/v2.0.1'

    // ms
    // var currentUrl = 'http://192.168.1.3:10000/app-api-service'
    // var uploadUrl = 'http://192.168.1.3:10000/app-api-service'
    // var baseUrl = 'http://192.168.1.3:10000'

    // 晋
    // var currentUrl = 'http://192.168.1.7:10000/app-api-service'
    // var uploadUrl = 'http://192.168.1.7:10000/app-api-service'
    // var baseUrl = 'http://192.168.1.7:10000'

    // 测试 139.9.240.192
    // var currentUrl = 'http://139.9.240.192:10000/app-api-service'
    // var uploadUrl = 'http://139.9.240.192:10000/app-api-service'
    // var baseUrl = 'http://139.9.240.192:10000'

    // pre 60.205.181.67:9999
    // var currentUrl = 'http://60.205.181.67:9999/app-api-service'
    // var uploadUrl = 'http://60.205.181.67:9999/app-api-service'
    // var baseUrl = 'http://60.205.181.67:9999'
  
    // 建龙的
    // var currentUrl = 'http://192.168.1.20:10000/app-api-service'
    // var uploadUrl = 'http://192.168.1.20:10000/app-api-service'
    // var baseUrl = 'http://192.168.1.20:10000'
    var uzStorage = function () {
        var ls = window.localStorage;
        if (isAndroid) {
            ls = os.localStorage();
        }
        return ls;
    };
    function parseArguments(url, data, fnSuc, dataType) {
        if (typeof (data) == 'function') {
            dataType = fnSuc;
            fnSuc = data;
            data = undefined;
        }
        if (typeof (fnSuc) != 'function') {
            dataType = fnSuc;
            fnSuc = undefined;
        }
        return {
            url: url,
            data: data,
            fnSuc: fnSuc,
            dataType: dataType
        };
    }
    u.trim = function (str) {
        if (String.prototype.trim) {
            return str == null ? "" : String.prototype.trim.call(str);
        } else {
            return str.replace(/(^\s*)|(\s*$)/g, "");
        }
    };
    u.trimAll = function (str) {
        return str.replace(/\s*/g, '');
    };
    u.isElement = function (obj) {
        return !!(obj && obj.nodeType == 1);
    };
    u.isArray = function (obj) {
        if (Array.isArray) {
            return Array.isArray(obj);
        } else {
            return obj instanceof Array;
        }
    };
    u.isEmptyObject = function (obj) {
        if (JSON.stringify(obj) === '{}') {
            return true;
        }
        return false;
    };
    u.addEvt = function (el, name, fn, useCapture) {
        if (!u.isElement(el)) {
            console.warn('$api.addEvt Function need el param, el param must be DOM Element');
            return;
        }
        useCapture = useCapture || false;
        if (el.addEventListener) {
            el.addEventListener(name, fn, useCapture);
        }
    };
    u.rmEvt = function (el, name, fn, useCapture) {
        if (!u.isElement(el)) {
            console.warn('$api.rmEvt Function need el param, el param must be DOM Element');
            return;
        }
        useCapture = useCapture || false;
        if (el.removeEventListener) {
            el.removeEventListener(name, fn, useCapture);
        }
    };
    u.one = function (el, name, fn, useCapture) {
        if (!u.isElement(el)) {
            console.warn('$api.one Function need el param, el param must be DOM Element');
            return;
        }
        useCapture = useCapture || false;
        var that = this;
        var cb = function () {
            fn && fn();
            that.rmEvt(el, name, cb, useCapture);
        };
        that.addEvt(el, name, cb, useCapture);
    };
    u.dom = function (el, selector) {
        if (arguments.length === 1 && typeof arguments[0] == 'string') {
            if (document.querySelector) {
                return document.querySelector(arguments[0]);
            }
        } else if (arguments.length === 2) {
            if (el.querySelector) {
                return el.querySelector(selector);
            }
        }
    };
    u.domAll = function (el, selector) {
        if (arguments.length === 1 && typeof arguments[0] == 'string') {
            if (document.querySelectorAll) {
                return document.querySelectorAll(arguments[0]);
            }
        } else if (arguments.length === 2) {
            if (el.querySelectorAll) {
                return el.querySelectorAll(selector);
            }
        }
    };
    u.byId = function (id) {
        return document.getElementById(id);
    };
    u.first = function (el, selector) {
        if (arguments.length === 1) {
            if (!u.isElement(el)) {
                console.warn('$api.first Function need el param, el param must be DOM Element');
                return;
            }
            return el.children[0];
        }
        if (arguments.length === 2) {
            return this.dom(el, selector + ':first-child');
        }
    };
    u.last = function (el, selector) {
        if (arguments.length === 1) {
            if (!u.isElement(el)) {
                console.warn('$api.last Function need el param, el param must be DOM Element');
                return;
            }
            var children = el.children;
            return children[children.length - 1];
        }
        if (arguments.length === 2) {
            return this.dom(el, selector + ':last-child');
        }
    };
    u.eq = function (el, index) {
        return this.dom(el, ':nth-child(' + index + ')');
    };
    u.not = function (el, selector) {
        return this.domAll(el, ':not(' + selector + ')');
    };
    u.prev = function (el) {
        if (!u.isElement(el)) {
            console.warn('$api.prev Function need el param, el param must be DOM Element');
            return;
        }
        var node = el.previousSibling;
        if (node.nodeType && node.nodeType === 3) {
            node = node.previousSibling;
            return node;
        }
    };
    u.next = function (el) {
        if (!u.isElement(el)) {
            console.warn('$api.next Function need el param, el param must be DOM Element');
            return;
        }
        var node = el.nextSibling;
        if (node.nodeType && node.nodeType === 3) {
            node = node.nextSibling;
            return node;
        }
    };
    u.closest = function (el, selector) {
        if (!u.isElement(el)) {
            console.warn('$api.closest Function need el param, el param must be DOM Element');
            return;
        }
        var doms, targetDom;
        var isSame = function (doms, el) {
            var i = 0, len = doms.length;
            for (i; i < len; i++) {
                if (doms[i].isSameNode(el)) {
                    return doms[i];
                }
            }
            return false;
        };
        var traversal = function (el, selector) {
            doms = u.domAll(el.parentNode, selector);
            targetDom = isSame(doms, el);
            while (!targetDom) {
                el = el.parentNode;
                if (el != null && el.nodeType == el.DOCUMENT_NODE) {
                    return false;
                }
                traversal(el, selector);
            }

            return targetDom;
        };

        return traversal(el, selector);
    };
    u.contains = function (parent, el) {
        var mark = false;
        if (el === parent) {
            mark = true;
            return mark;
        } else {
            do {
                el = el.parentNode;
                if (el === parent) {
                    mark = true;
                    return mark;
                }
            } while (el === document.body || el === document.documentElement);

            return mark;
        }

    };
    u.remove = function (el) {
        if (el && el.parentNode) {
            el.parentNode.removeChild(el);
        }
    };
    u.attr = function (el, name, value) {
        if (!u.isElement(el)) {
            console.warn('$api.attr Function need el param, el param must be DOM Element');
            return;
        }
        if (arguments.length == 2) {
            return el.getAttribute(name);
        } else if (arguments.length == 3) {
            el.setAttribute(name, value);
            return el;
        }
    };
    u.removeAttr = function (el, name) {
        if (!u.isElement(el)) {
            console.warn('$api.removeAttr Function need el param, el param must be DOM Element');
            return;
        }
        if (arguments.length === 2) {
            el.removeAttribute(name);
        }
    };
    u.hasCls = function (el, cls) {
        if (!u.isElement(el)) {
            console.warn('$api.hasCls Function need el param, el param must be DOM Element');
            return;
        }
        if (el.className.indexOf(cls) > -1) {
            return true;
        } else {
            return false;
        }
    };
    u.addCls = function (el, cls) {
        if (!u.isElement(el)) {
            console.warn('$api.addCls Function need el param, el param must be DOM Element');
            return;
        }
        if ('classList' in el) {
            el.classList.add(cls);
        } else {
            var preCls = el.className;
            var newCls = preCls + ' ' + cls;
            el.className = newCls;
        }
        return el;
    };
    u.removeCls = function (el, cls) {
        if (!u.isElement(el)) {
            console.warn('$api.removeCls Function need el param, el param must be DOM Element');
            return;
        }
        if ('classList' in el) {
            el.classList.remove(cls);
        } else {
            var preCls = el.className;
            var newCls = preCls.replace(cls, '');
            el.className = newCls;
        }
        return el;
    };
    u.toggleCls = function (el, cls) {
        if (!u.isElement(el)) {
            console.warn('$api.toggleCls Function need el param, el param must be DOM Element');
            return;
        }
        if ('classList' in el) {
            el.classList.toggle(cls);
        } else {
            if (u.hasCls(el, cls)) {
                u.removeCls(el, cls);
            } else {
                u.addCls(el, cls);
            }
        }
        return el;
    };
    u.val = function (el, val) {
        if (!u.isElement(el)) {
            console.warn('$api.val Function need el param, el param must be DOM Element');
            return;
        }
        if (arguments.length === 1) {
            switch (el.tagName) {
                case 'SELECT':
                    var value = el.options[el.selectedIndex].value;
                    return value;
                    break;
                case 'INPUT':
                    return el.value;
                    break;
                case 'TEXTAREA':
                    return el.value;
                    break;
            }
        }
        if (arguments.length === 2) {
            switch (el.tagName) {
                case 'SELECT':
                    el.options[el.selectedIndex].value = val;
                    return el;
                    break;
                case 'INPUT':
                    el.value = val;
                    return el;
                    break;
                case 'TEXTAREA':
                    el.value = val;
                    return el;
                    break;
            }
        }

    };
    u.prepend = function (el, html) {
        if (!u.isElement(el)) {
            console.warn('$api.prepend Function need el param, el param must be DOM Element');
            return;
        }
        el.insertAdjacentHTML('afterbegin', html);
        return el;
    };
    u.append = function (el, html) {
        if (!u.isElement(el)) {
            console.warn('$api.append Function need el param, el param must be DOM Element');
            return;
        }
        el.insertAdjacentHTML('beforeend', html);
        return el;
    };
    u.before = function (el, html) {
        if (!u.isElement(el)) {
            console.warn('$api.before Function need el param, el param must be DOM Element');
            return;
        }
        el.insertAdjacentHTML('beforebegin', html);
        return el;
    };
    u.after = function (el, html) {
        if (!u.isElement(el)) {
            console.warn('$api.after Function need el param, el param must be DOM Element');
            return;
        }
        el.insertAdjacentHTML('afterend', html);
        return el;
    };
    u.html = function (el, html) {
        if (!u.isElement(el)) {
            console.warn('$api.html Function need el param, el param must be DOM Element');
            return;
        }
        if (arguments.length === 1) {
            return el.innerHTML;
        } else if (arguments.length === 2) {
            el.innerHTML = html;
            return el;
        }
    };
    u.text = function (el, txt) {
        if (!u.isElement(el)) {
            console.warn('$api.text Function need el param, el param must be DOM Element');
            return;
        }
        if (arguments.length === 1) {
            return el.textContent;
        } else if (arguments.length === 2) {
            el.textContent = txt;
            return el;
        }
    };
    u.offset = function (el) {
        if (!u.isElement(el)) {
            console.warn('$api.offset Function need el param, el param must be DOM Element');
            return;
        }
        var sl = Math.max(document.documentElement.scrollLeft, document.body.scrollLeft);
        var st = Math.max(document.documentElement.scrollTop, document.body.scrollTop);

        var rect = el.getBoundingClientRect();
        return {
            l: rect.left + sl,
            t: rect.top + st,
            w: el.offsetWidth,
            h: el.offsetHeight
        };
    };
    u.css = function (el, css) {
        if (!u.isElement(el)) {
            console.warn('$api.css Function need el param, el param must be DOM Element');
            return;
        }
        if (typeof css == 'string' && css.indexOf(':') > 0) {
            el.style && (el.style.cssText += ';' + css);
        }
    };
    u.cssVal = function (el, prop) {
        if (!u.isElement(el)) {
            console.warn('$api.cssVal Function need el param, el param must be DOM Element');
            return;
        }
        if (arguments.length === 2) {
            var computedStyle = window.getComputedStyle(el, null);
            return computedStyle.getPropertyValue(prop);
        }
    };
    u.jsonToStr = function (json) {
        if (typeof json === 'object') {
            return JSON && JSON.stringify(json);
        }
    };
    u.strToJson = function (str) {
        if (typeof str === 'string') {
            return JSON && JSON.parse(str);
        }
    };
    u.setStorage = function (key, value) {
        if (arguments.length === 2) {
            var v = value;
            if (typeof v == 'object') {
                v = JSON.stringify(v);
                v = 'obj-' + v;
            } else {
                v = 'str-' + v;
            }
            var ls = uzStorage();
            if (ls) {
                ls.setItem(key, v);
            }
        }
    };
    u.getStorage = function (key) {
        var ls = uzStorage();
        if (ls) {
            var v = ls.getItem(key);
            if (!v) { return; }
            if (v.indexOf('obj-') === 0) {
                v = v.slice(4);
                return JSON.parse(v);
            } else if (v.indexOf('str-') === 0) {
                return v.slice(4);
            }
        }
    };
    u.rmStorage = function (key) {
        var ls = uzStorage();
        if (ls && key) {
            ls.removeItem(key);
        }
    };
    u.clearStorage = function () {
        var ls = uzStorage();
        if (ls) {
            ls.clear();
        }
    };
    u.fixIos7Bar = function (el) {
        return u.fixStatusBar(el);
    };
    u.fixStatusBar = function (el) {
        if (!u.isElement(el)) {
            console.warn('$api.fixStatusBar Function need el param, el param must be DOM Element');
            return 0;
        }
        el.style.paddingTop = api.safeArea.top + 'px';
        return el.offsetHeight;
    };
    u.fixTabBar = function (el) {
        if (!u.isElement(el)) {
            console.warn('$api.fixTabBar Function need el param, el param must be DOM Element');
            return 0;
        }
        el.style.paddingBottom = api.safeArea.bottom + 'px';
        return el.offsetHeight;
    };
    u.toast = function (title, text, time) {
        var opts = {};
        var show = function (opts, time) {
            api.showProgress(opts);
            setTimeout(function () {
                api.hideProgress();
            }, time);
        };
        if (arguments.length === 1) {
            var time = time || 500;
            if (typeof title === 'number') {
                time = title;
            } else {
                opts.title = title + '';
            }
            show(opts, time);
        } else if (arguments.length === 2) {
            var time = time || 500;
            var text = text;
            if (typeof text === "number") {
                var tmp = text;
                time = tmp;
                text = null;
            }
            if (title) {
                opts.title = title;
            }
            if (text) {
                opts.text = text;
            }
            show(opts, time);
        }
        if (title) {
            opts.title = title;
        }
        if (text) {
            opts.text = text;
        }
        time = time || 500;
        show(opts, time);
    };

    var errdeals = {
        alert: function (msg, page, isSuc) {
            api.openFrame({
                name: 'err_frame',
                url: './err_frame.html',
                slidBackEnabled: false,
                allowEdit: true,
                bgColor: 'rgba(0,0,0,0)',
                pageParam: {
                    msg: msg,
                    page: page,
                    suc: isSuc
                }
            })
        },
        // 权限改变
        11002: function () {
            this.alert('您的使用权限已发生改变, 为保证正常使用,请重新登陆!', 'login')
        },
        // 禁用
        11008: function () {
            this.alert('您的账号已被禁用,请联系管理员!', 'login')
        },
        // 审核失败
        11009: function (res) {
            $api.setStorage('token', res.data.authorToken)
            this.alert('您的账号状态变更为审核失败!', 'wait', 'false')

        },
        // 审核正常
        11010: function (res) {
            $api.setStorage('token', res.data.authorToken)
            this.alert('您的账号状态变更为审核中!', 'wait', 'true')
        },
        // 账号异常
        11011: function () {
            this.alert('您的账号状态异常!', 'login')
        },
        // 不可描述错误
        500: function () {
            this.alert('系统错误，请重试')
        },
        // 登录过期
        2032: function () {
            this.alert('登录信息已过期，请重新登录', 'login')
        }
    }

    u.get = function (url, fn) {
        var obj = {
            url: currentUrl + url,
            method: 'get',
            timeout: 10,
            headers: {
                'api-key': $api.getStorage('token')
                // 'api-key': 'eyJvd25lciI6ImZtb3VudGFpbiIsImFsZyI6IkhTMjU2IiwidHlwIjoiSldUIn0.eyJncm91cElkIjoxLCJpc3MiOiJnbXNqIiwiZXhwIjoxODQyMjI4MDc5LCJ1c2VySWQiOjIsImNvbGxpZXJ5SWQiOjF9.S486p_efqd1RNUvfDqV1rOR5nBiFZm9p-_rtZVya3E0'
            }
        };

        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // 权限异常拦截
                // alert(ret.code)
                if (ret.code === 11002 || ret.code === 11008 || ret.code === 11009 || ret.code === 11010 || ret.code === 11011 || ret.code === 500 || ret.code === 2032) {
                    errdeals[ret.code](ret)
                }
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    };

    // index.html 使用, 去掉code码校验
    u.get1 = function (url, fn) {
        var obj = {
            url: currentUrl + url,
            method: 'get',
            timeout: 10,
            headers: {
                'api-key': $api.getStorage('token')
                // 'api-key': 'eyJvd25lciI6ImZtb3VudGFpbiIsImFsZyI6IkhTMjU2IiwidHlwIjoiSldUIn0.eyJncm91cElkIjoxLCJpc3MiOiJnbXNqIiwiZXhwIjoxODQyMjI4MDc5LCJ1c2VySWQiOjIsImNvbGxpZXJ5SWQiOjF9.S486p_efqd1RNUvfDqV1rOR5nBiFZm9p-_rtZVya3E0'
            }
        };

        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    };


    u.post = function (url, body, fn) {
        var obj = {
            url: currentUrl + url,
            method: 'post',
            timeout: 10,
            headers: {
                'Content-Type': 'application/json',
                'api-key': $api.getStorage('token')
                //   'api-key': 'eyJvd25lciI6ImZtb3VudGFpbiIsImFsZyI6IkhTMjU2IiwidHlwIjoiSldUIn0.eyJpc3MiOiJnbXNqIiwic2VydmljZUlkIjoiZ21zai0xMDAxMiIsImV4cCI6MTU0NDQyNDQ4MywidXNlcklkIjoxMzl9.wxkfFJ1CfVPwljaihxZZhLlWZYn0HMWvzXljMU-Fb-w'
            },
            data: {
                body
            }
        };
        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // alert(JSON.stringify(ret.code))
                // 权限异常拦截
                if (ret.code === 11002 || ret.code === 11008 || ret.code === 11009 || ret.code === 11010 || ret.code === 11011 || ret.code === 500 || ret.code === 2032) {
                    // alert(ret.code)
                    errdeals[ret.code](ret)
                }
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    };
    // post请求不嵌套body/current url, 用于OSS
    u.postNoBody = function (url, data, fn) {
        var obj = {
            url: url,
            method: 'post',
            timeout: 10,
            data: data,
            dataType: 'json'
        };
        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    };

    u.post1 = function (url, body, fn) {
        var obj = {
            url: currentUrl + url,
            method: 'post',
            timeout: 10,
            headers: {
                'Content-Type': 'application/json',
                'api-key': $api.getStorage('token')
                //'api-key': 'eyJvd25lciI6ImZtb3VudGFpbiIsImFsZyI6IkhTMjU2IiwidHlwIjoiSldUIn0.eyJwZXJtaXNzaW9ucyI6IlsvZW1lcmdlbmN5L2dldEVtZXJnZW5jeUxpc3RCeVBjLCAvZW1lcmdlbmN5L2dldEVtZXJnZW5jeUxpc3RCeUFwcF0iLCJncm91cElkIjoxLCJpc3MiOiJnbXNqIiwiZXhwIjoxNTMzODcyODc0LCJ1c2VySWQiOjEsImNvbGxpZXJ5SWQiOjk5OTl9.d_hJ_uJnr3GloYRk2KB7ltqogQcbt05VDdtu6CQ-hA8'
            },
            data: {
                body
            }
        };
        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    };

    u.upload = function (url, files, fn) {
        var obj = {
            url: uploadUrl + url,
            method: 'post',
            timeout: 10,
            headers: {
                'api-key': $api.getStorage('token')
                //   'Content-Type': 'multipart/form-data'
            },
            data: {
                files
            }
        };
        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // 权限异常拦截
                if (ret.code === 11002 || ret.code === 11008 || ret.code === 11009 || ret.code === 11010 || ret.code === 11011 || ret.code === 500 || ret.code === 2032) {
                    errdeals[ret.code](ret)
                }
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    }

    u.upload2 = function (url, files, fn) {
        var obj = {
            url: baseUrl + url,
            method: 'post',
            timeout: 10,
            headers: {
                //   'Content-Type': 'multipart/form-data'
            },
            data: {
                files
            }
        };
        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // 权限异常拦截
                if (ret.code === 11002 || ret.code === 11008 || ret.code === 11009 || ret.code === 11010 || ret.code === 11011 || ret.code === 500 || ret.code === 2032) {
                    errdeals[ret.code](ret)
                }
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    }

    u.put = function (url, body, fn) {
        var obj = {
            url: currentUrl + url,
            method: 'put',
            timeout: 10,
            headers: {
                'Content-Type': 'application/json',
                'api-key': $api.getStorage('token')
                // 'api-key': 'eyJvd25lciI6ImZtb3VudGFpbiIsImFsZyI6IkhTMjU2IiwidHlwIjoiSldUIn0.eyJncm91cElkIjoxLCJpc3MiOiJnbXNqIiwiZXhwIjoxODQyMjQ4OTQ1LCJ1c2VySWQiOjIsImNvbGxpZXJ5SWQiOjF9.cIVtkPeY67D1iaRSsqb0Xs7SA7knsNt62FDg1LwkDys'
            },
            data: { body }
        };
        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // 权限异常拦截
                if (ret.code === 11002 || ret.code === 11008 || ret.code === 11009 || ret.code === 11010 || ret.code === 11011 || ret.code === 500 || ret.code === 2032) {
                    errdeals[ret.code](ret)
                }
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    };

    u.putNoBody = function (url, fn) {
        var obj = {
            url: currentUrl + url,
            method: 'put',
            timeout: 10,
            headers: {
                'api-key': $api.getStorage('token')
                // 'api-key': 'eyJvd25lciI6ImZtb3VudGFpbiIsImFsZyI6IkhTMjU2IiwidHlwIjoiSldUIn0.eyJncm91cElkIjoxLCJpc3MiOiJnbXNqIiwiZXhwIjoxODQyMjI4MDc5LCJ1c2VySWQiOjIsImNvbGxpZXJ5SWQiOjF9.S486p_efqd1RNUvfDqV1rOR5nBiFZm9p-_rtZVya3E0'
            }
        };

        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // 权限异常拦截
                // alert(ret.code)
                if (ret.code === 11002 || ret.code === 11008 || ret.code === 11009 || ret.code === 11010 || ret.code === 11011 || ret.code === 500 || ret.code === 2032) {
                    errdeals[ret.code](ret)
                }
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    };

    u.delete = function (url, fn) {
        var obj = {
            url: currentUrl + url,
            method: 'delete',
            timeout: 10,
            headers: {
                'api-key': $api.getStorage('token')
                // 'api-key': 'eyJvd25lciI6ImZtb3VudGFpbiIsImFsZyI6IkhTMjU2IiwidHlwIjoiSldUIn0.eyJncm91cElkIjoxLCJpc3MiOiJnbXNqIiwiZXhwIjoxODQyMTYyOTY4LCJ1c2VySWQiOjUsImNvbGxpZXJ5SWQiOjF9.XhnVwQXo7kaHeEp_4ZmbLWTFersgzltvyL2_FI2BGwM'
            }
        };
        api.ajax(obj,
            function (ret, err) {
                fn && fn(ret, err)
                // 权限异常拦截
                if (ret.code === 11002 || ret.code === 11008 || ret.code === 11009 || ret.code === 11010 || ret.code === 11011 || ret.code === 500 || ret.code === 2032) {
                    wait().then(function () {
                        errdeals[ret.code](ret)
                    })
                }
                // if (ret.code === 1) {
                //   api.openFrame({
                //     name: '404',
                //     url: './404.html',
                //     slidBackEnabled: false,
                //     allowEdit: true,
                //     bgColor: 'rgba(0,0,0,0)'
                //   })
                // }
            }
        );
    };

    // OSS 初始化
    var aliOSS;
    var bucketName = 'meitandata-app-source-prod'
    u.OSSInit = function () {
        aliOSS = api.require('aliOSS');
        aliOSS.init({
            endpoint: "https://oss-cn-beijing.aliyuncs.com",
            accessKeyId: "LTAIm2ChtUw8bJUJ",
            accessKeySecret: "aYWZG36ZmSl0E0lBulprUsHOQ1bC9s",
            bucketName: bucketName
        }, function (ret, err) {
            // if(ret.oper=="complete"){
            //     alert(JSON.stringify(ret));
            // }
            //   alert(JSON.stringify(err));
        });
    }
    /**
     * 上传文件,当前支持图片
     * @param {string} type 图片:'image' 文件: 'file'
     * @param {string} filePath 文件路径
     * @return {fileUrl, originFileName, bucketName} {文件url, 原文件名, 文件bucketName} 传给后端
     */
    u.OSSUpload = function (type, filePath, length) {
        // return new Promise((resolve, reject) => {
            // 基础url
            var OSSUrl = 'https://meitandata-app-source-prod.oss-cn-beijing.aliyuncs.com'

            // 生成UUID
            function uuid() {
                var s = [];
                var hexDigits = "0123456789abcdef";
                for (var i = 0; i < 36; i++) {
                    s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
                }
                s[14] = "4";  // bits 12-15 of the time_hi_and_version field to 0010
                s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1);  // bits 6-7 of the clock_seq_hi_and_reserved to 01
                s[8] = s[13] = s[18] = s[23] = "-";

                var uuid = s.join("");
                return uuid;
            }

            var _type = {
                image: 'app-source/imgs/',
                file: 'app-source/files/'
            }
            // 缓存原本文件名/修饰文件名
            var originFileName = filePath.split('/').pop()
            var fixFileName = uuid() + originFileName
            var ossKey = _type[type] + fixFileName
            // alert(filePath)
            // alert(ossKey)


            aliOSS.upload({
                file: filePath,
                name: ossKey
            }, function (ret, err) {
                // alert('ret')
                // alert(JSON.stringify(ret))
                // alert('err')
                // alert(JSON.stringify(err))
                if (ret.oper == "complete") {
                    // alert(0000)
                    api.sendEvent({
                        name: filePath,
                        extra: {
                            url: OSSUrl + '/' + _type[type] + fixFileName,
                            fileName: originFileName,
                            bucketName: bucketName,
                            ossKey: ossKey,
                            length: length || 0
                        }
                    });
                }
            });
            // resolve(111)
        // })
    }

    window.$api = u;

})(window);

// 屏幕适配
(function (designWidth, maxWidth) {
    var doc = document,
        win = window,
        docEl = doc.documentElement,
        remStyle = document.createElement("style"),
        tid;

    function refreshRem() {
        var width = docEl.getBoundingClientRect().width;
        maxWidth = maxWidth || 540;
        width > maxWidth && (width = maxWidth);
        var rem = width * 40 / designWidth;
        remStyle.innerHTML = 'html{font-size:' + rem + 'px;}';
    }

    if (docEl.firstElementChild) {
        docEl.firstElementChild.appendChild(remStyle);
    } else {
        var wrap = doc.createElement("div");
        wrap.appendChild(remStyle);
        doc.write(wrap.innerHTML);
        wrap = null;
    }
    //要等 wiewport 设置好后才能执行 refreshRem，不然 refreshRem 会执行2次；
    refreshRem();

    win.addEventListener("resize", function () {
        clearTimeout(tid); //防止执行两次
        tid = setTimeout(refreshRem, 300);
    }, false);

    win.addEventListener("pageshow", function (e) {
        if (e.persisted) { // 浏览器后退的时候重新计算
            clearTimeout(tid);
            tid = setTimeout(refreshRem, 300);
        }
    }, false);

    if (doc.readyState === "complete") {
        doc.body.style.fontSize = "16px";
    } else {
        doc.addEventListener("DOMContentLoaded", function (e) {
            doc.body.style.fontSize = "16px";
        }, false);
    }
})(750, 3000);
